Welcome to the TWC Wiki! You are not logged in. Please log in to the Wiki to vote in polls, change skin preferences, or edit pages. See HERE for details of how to LOG IN.
 Actions

MediaWiki

Monobook.css: Difference between revisions

From TWC Wiki

bold for the sidebar links
links in notice boxes on monobook skin, same as in common css, but seems to be needed here?
 
(10 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* CSS placed here will affect users of the MonoBook skin */
/* CSS placed here will affect users of the MonoBook skin */
/* Terminally confused with colors so listed here -
Dark brown for borders - rgb(66, 49, 33)
Rusty color rgb(156, 108, 58) or BG2.png from forum
Dark brown/greyer buttons/bars -rgb(141, 117, 83)
Yucky orangy color - rgb(207, 171, 121)
Creamy body bg - rgb(234, 220, 193)
Dark Text - rgb(66, 49, 33) */
/****************************************/
/* mobile width version*/
@media screen and (max-width:550px) {


/* Random stuff */
body, div#globalWrapper, div#content, .mobile-menu-active, .mobile-menu-active h3 {
div#globalWrapper {
  background-image: none;
.background-image-svg(  );
  background-color: rgb(234, 220, 193);
background-position: 0 0;
  color: rgb(66, 49, 33);
background-repeat: no-repeat;
      background:none;
}
}
 
.mobile-menu-active, .menu-toggle, #p-cactions-mobile li, #searchBody {
div.section div.section {
     border: solid 1px rgb(66, 49, 33);
    /* Indent, but not for the highest-level section */
     margin-left: 1.5em;
}
}
 
.mw-body {
/* Hide numbers for TOCs wrapped in <div class="nonumbertoc"></div> */
   border-top: solid 1px rgb(66, 49, 33);
div.nonumbertoc span.tocnumber { display: none; }
 
/* Allow limiting of which header levels are shown in a TOC;
   <div class="toclimit-3">, for instance, will limit to
  showing ==headings== and ===headings=== but no further
  (as long as there are no =headings= on the page, which
  there shouldn't be according to the MoS). */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}
}
 
.mobile-menu-active ul {
.notice { margin: 1em; font-style: italic; }
    list-style-image: none;
 
    list-style-type: square;
/* Front page */
 
body.page-Main_Page h1.firstHeading {
    display: none;
}
}
 
table.info-right {
.frontpage-wikinews, .frontpage-generalmodding, .frontpage-m2tw {
  width: auto;
    border: 2px solid grey;
  float: none;
    padding: .4em .9em .9em;
    color: black;
    vertical-align: top;
}
}
 
} /**********END OF MOBILE SECTION - don't delete the '}' ! **************/
.frontpage-wikinews {
/***** MAIN BODY LINKS - common to both sizes (has to be above sidebar links *******/
     width: 25%;
a, .mw-parser-output a.external {
    background-color: #cff;
     color: #04B;  
}
}
 
a:hover, a:visited, a.external:visited, a.external:hover, .mw-parser-output a.external:visited, .mw-parser-output a.external:hover {
.frontpage-generalmodding {
     color: #449;
     background-color: #ffc;
}
}
 
/***** Links in the boxes with fixed colour backgrounds, this was over-ruling common.css  *******/
.frontpage-m2tw {
.mild-notice a, .info-notice a, .mild-notice a.external, .info-notice a.external {
    width: 65%;
     color: #192F9D;
    background-color: #ffebcd;
}
 
/* Infobox template style stolen from Wikipedia */
.infobox {
    border: 1px solid #aaa;
    background-color: #f9f9f9;
    color: black;
    margin-bottom: 0.5em;
    margin-left: 1em;
    padding: 0.2em;
     float: right;
    clear: right;
}
}
.infobox td,
.mild-notice a:visited, .info-notice a:visited, .mild-notice a.externa:visited, .info-notice a.external:visited {
.infobox th {
     color: #7B2480;
     vertical-align: top;
}
}
.infobox caption {
.mild-notice a:hover, .info-notice a:hover, .mild-notice a.external:hover, .info-notice a.external:hover {
    font-size: larger;
     color: #5B5DBD;
     margin-left: inherit;
}
}
.infobox.bordered {
.strong-notice a, .strong-notice a.external {
     border-collapse: collapse;
     color: #C6DAFE;
}
}
.infobox.bordered td,
.strong-notice a:visited, .strong-notice a.external:visited, {
.infobox.bordered th {
     color: #C6C7FE;
     border: 1px solid #aaa;
}
}
.infobox.bordered .borderless td,
.strong-notice a:hover, .strong-notice a.external:hover {
.infobox.bordered .borderless th {
     color: #B3B3F5;
    border: 0;
}
/* styles for bordered infobox with merged rows */
.infobox.bordered .mergedtoprow td,
.infobox.bordered .mergedtoprow th {
    border: 0;
    border-top: 1px solid #aaa;
    border-right: 1px solid #aaa;
}
.infobox.bordered .mergedrow td,
.infobox.bordered .mergedrow th {
     border: 0;
    border-right: 1px solid #aaa;
}
}
/*********Things for full width version only - to save having to negate everything for mobile version!*********/
@media screen and (min-width:551px) {


/*****
body, div#globalWrapper {  
** Table formatting
background-image: url("https://www.twcenter.net/forums/images/y2skin/Background2.png"), url("https://www.twcenter.net/forums/images/y2skin/Background7.png");
*****/
  background-position:0 0, 0 0;
  table.wikitable,
  background-repeat: repeat-x, repeat;
  table.collapsetable {
  background-size: auto 14em, auto;
      margin:1em 1em 1em 0;
  background-clip: padding-box, padding-box;
      background:#F9F9F9;
      border:1px #AAA solid;
      border-collapse:collapse;
      }
  table.wikitable th, table.wikitable td,
  table.collapsetable th, table.collapsetable td {
      border:1px #AAA solid;
      padding:0.2em;
      }
  table.wikitable th,
  table.collapsetable th {
      background:#F2F2F2;
      text-align:center;
      }
  table.wikitable caption,
  table.collapsetable caption {
      margin-left:inherit;
      margin-right:inherit;
      }
 
/******* portal standardisation attempt*****/
 
.portal {
    border: 2px solid grey;
    padding: .4em .9em .9em;
    color: black;
    vertical-align: top;
    background-color: #e3e3e3;
}
 
.portal h3 {
    padding:5px;
    background-color:#7d1515;
    color:white;
}
}
 
body:not(.skin--responsive) .mw-body, body.skin--responsive .mw-body {
.portallink a:link {
  margin: 4em 0 0 12.2em; /* sets the main content box position - match width with p-logo */
    color:#DCE6FF;
  z-index:3
}
}
 
body, div#globalWrapper {
.portallink a:visited {
  background-color: rgb(156, 108, 58);
    color:#DCE6FF;
}
}
 
body:not(.skin--responsive) #p-personal, body.skin--responsive #p-personal {
.portallink a:hover {
  background-color: rgb(66, 49, 33);
    color:#B7C4ED;
  padding: 0.25em 0 0.4em 0;
  box-shadow: inset 0 -6px 4px -4px rgba(0,0,0,0.8);
  z-index:0;  
}
}
 
body:not(.skin--responsive) #p-personal li a, body.skin--responsive #p-personal li a  {
/******* new front page boxes*****/
  color: rgb(234, 220, 193) ;
 
  padding: 0.25em 0.4em 0.4em 0.4em;
.portal_TW {
  font-size: 1em;
    border: 2px solid grey;
  font-weight: normal;
    padding: .4em .9em .9em;
    color: black;
    vertical-align: top;
    background-color: #E5E1DB;
}
 
.portal_TW h3 {
    padding:5px;
    background-color:#7d1515;
    color:white;
}
}
/******* modding box standardisation attempt*****/
body:not(.skin--responsive) #p-personal a.new, body:not(.skin--responsive) #p-personal a.new:visited, body.skin--responsive #p-personal a.new, body.skin--responsive #p-personal a.new:visited{
 
  color: rgb(207, 171, 121);
.modding {
    border: 2px solid grey;
    padding: .4em .9em .9em;
    color: black;
    vertical-align: top;
    background-color: #cdc7c7;
}
 
.modding h3 {
    padding:5px;
    background-color:#7d1515;
    color:white;
}
}
 
body:not(.skin--responsive) #p-personal a.new:hover, body.skin--responsive #p-personal a.new:hover {
/* End infobox styles */
  color:red;
 
 
 
 
/**
* Styling for links generated by [[MediaWiki:Edittools]]
* @source https://www.mediawiki.org/wiki/Extension:CharInsert#Styling
* @updated 2012-02-29
*/
.mw-charinsert-buttons {
margin-top: 10px;
border: 1px solid #aaaaaa;
padding: 1px;
text-align: center;
font-size: 110%;
}
}
.mw-charinsert-buttons a {
body:not(.skin--responsive) #p-personal li a:hover, body.skin--responsive #p-personal li a:hover {
color: black;
  background-color:rgb(234, 220, 193);
background-color: #cde !important;
  color:rgb(66, 49, 33);
font-weight: bold;
font-size: .9em;
text-decoration: none;
border: thin #069 outset;
padding: 0 .1em .1em;
}
}
.mw-charinsert-buttons a:hover,
body:not(.skin--responsive) #p-logo, body.skin--responsive #p-logo {
.mw-charinsert-buttons a:active {
  top:0.5em;
background-color: #bcd;
  width: 12.2em;
border-style: inset;
  padding:0;
  z-index:2;
  background-image: url("https://www.twcenter.net/forums/images/buttons/newbtn_middle.png"), url("https://wiki.twcenter.net/images/8/8e/Dark-brown-buttons.png");
  background-repeat: repeat-x, repeat-x;
  background-size: auto 3.2em, auto 3.2em;
  background-position: bottom, bottom;
  border-bottom: 1px solid rgb(66, 49, 33);
}
}
.client-js .mw-edittools-section {
body:not(.skin--responsive) #p-logo a:hover, body:not(.skin--responsive) #p-logo a, body.skin--responsive #p-logo a:hover, body.skin--responsive #p-logo a {
display: inline;
    background-position: 70% 50% !important;
}
}
.client-js .mw-edittools-section input[type="button"] {
/*HORIZONTAL BUTTONS*/
font-size: 0.9em;
body.skin--responsive #p-cactions,  body:not(.skin--responsive) #p-cactions {
padding-left: 1px;
  position: absolute;
padding-right: 1px;
  padding:0;
margin-left: 1px;
  margin-top: 0.5em;
  left: 12.2em;
  width: auto;
  height: auto;
  line-height: 1em;
  font-size:1em; /* needed to make this line up with the content body */
}
}
 
body.skin--responsive #p-cactions ul,  body:not(.skin--responsive) #p-cactions ul {
/** below here is the CSS variation on the monobook skin which formed the old TWC skin - this section should be removed when we get back to having more than one skin (or if everyone hates the pink!)*/
  font-size:95%;
body {
  line-height: 1em;
    background: #F4E9DF;
  margin: 0;
    color: #6D6155;
  padding: 0.7em 0 1em 0;
  position: relative;
  width: auto;
  border-left: 1px solid rgb(66, 49, 33); /*to match edge of page*/
  border-right: 1px solid rgb(66, 49, 33);
}
}
 
body.skin--responsive #p-cactions li a, body.skin--responsive #p-cactions li.istalk a,  body:not(.skin--responsive) #p-cactions li a, body:not(.skin--responsive) #p-cactions li.istalk a {
a:link, a:visited, #p-cactions li a {
  padding: 0.7em 1.3em 1em 1.3em;
    color: #2062A3;
  color: black;
  font-weight: normal;
  text-transform: capitalize;
  margin: 0 0 0 0;
  border-top: 1px solid rgb(141, 117, 83);
  border-left: 1px solid rgb(141, 117, 83);
  border-right: 1px solid rgb(141, 117, 83);
  background: rgb(141, 117, 83) url("https://www.twcenter.net/forums/images/buttons/newbtn_middle.png")  repeat-x;
  z-index: 1;
}
}
 
body.skin--responsive #p-cactions li.selected, body.skin--responsive #p-cactions li,  body:not(.skin--responsive) #p-cactions li.selected,  body:not(.skin--responsive) #p-cactions li  {
a:link.new {
  border: 0;
    color: #CC2200;
  margin: 0;
  background-color: transparent;
}
}
 
body.skin--responsive #p-cactions li.selected a,  body:not(.skin--responsive) #p-cactions li.selected a {
a:link.new:visited {
  background-color: rgb(234, 220, 193);
    color: #A55858;
  margin: 0;
  border: 0;
  border-top: 1px solid rgb(141, 117, 83);
  border-left: 1px solid rgb(234, 220, 193);
  border-right: 1px solid rgb(234, 220, 193);
  font-weight: bold;
  box-shadow: none;
  padding-bottom: 2em;
  z-index: 3;
}
}
 
body.skin--responsive #p-cactions li.selected a:hover, body.skin--responsive #p-cactions li a:hover,  body:not(.skin--responsive) #p-cactions li.selected a:hover, body:not(.skin--responsive) #p-cactions li a:hover {
a:hover, a:active {
  background-color: rgb(234, 220, 193);
    color: #8C2B39;
  border-top: 1px solid rgb(141, 117, 83);
  border-left: 1px solid rgb(234, 220, 193);
  border-right: 1px solid rgb(234, 220, 193);
  box-shadow:  inset 0 10px 6px -4px rgba(141, 117, 83,0.2);
  padding-bottom: 2em;
}
}
 
body.skin--responsive #p-cactions li.new a:hover, body.skin--responsive #p-cactions li.selected.new a, body:not(.skin--responsive) #p-cactions li.new a:hover, body:not(.skin--responsive) #p-cactions li.selected.new a  {
h1, h2, h3, h4, h5, h6, .pBody, table {  
  color: red;
    color: inherit;
}
}
 
body.skin--responsive #p-cactions li.new a, body:not(.skin--responsive) #p-cactions li.new a {
div#content, #footer {
  color: black;
    background: #E9DED4;
    color: #473D33;
}
}
 
/* SIDEBAR NAVIGATION*/
div.thumb {
div#sidebar {
    border-color: #E9DED4;
  width: 13.5em;
  margin-top: -3.2em;
  padding-top: 3.7em;
  padding-bottom: 1em;
  background-color: rgb(207, 171, 121);
  border: 1px solid rgb(66, 49, 33); /*top gives the fake border above the fake bar under logo */
  border-left: none;
  box-shadow: inset  0 6px 0 0 rgba(141, 117, 83,1),
  1px 5px 3px -1px rgba(66, 49, 33,0.3);
  z-index: 1;
  position: relative;
}
}
 
body.skin--responsive .mw-portlet, body.skin--responsive .portlet, body:not(.skin--responsive) .mw-portlet, body:not(.skin--responsive) .portlet {
#content {
     width: 12.2em;
     border: 1px solid #CEBEAE;
}
}
.portlet a, .portlet.generated-sidebar a, .portlet.generated-sidebar a:visited, .portlet a:visited, .portlet.generated-sidebar a:hover, .portlet a:hover {
  color: rgb(66, 49, 33);
  font-size: 0.95em;
  font-weight: bold;
  padding-top: 0em;


#footer {
    border: 1px solid #CEBEAE;
    border-width: 1px 0;
}
}
#content table {
.portlet ul, .portlet.generated-sidebar ul {
    background-color: #E9DED4;
  list-style-image: none;
  list-style-type: none;
}
}
 
.mobile-menu-active, .pBody {
#content table.toc {
  background-color: rgb(234, 220, 193);
    background-color: #F4E9DF;
  border: 0;
}
}
 
div#p-NAVIGATION div, div#p-Important_Pages div, div#p-My_Sidebar div, div#p-search div, div#p-tb div, div#p-Visit_TWC div, #p-Wiki_Editing div{
.mw-headline, h1.firstHeading {
  background: rgb(234, 220, 193);
    /* Non-bold h1 and h2 look ugly */
  border: none;
    font-weight: bolder;
}
}
 
.portlet {
ul {
  width: 12.2em;
    list-style-image: none !important;
}
}
 
.portlet h3, .portlet.generated-sidebar h3 {
div.section {
  display: inline-block;
    border: 2px solid grey;
  color: rgb(66, 49, 33);
    padding: .4em .9em .9em;
  font-weight: bold;
    background-color: #f4e9df;
  text-transform: uppercase;
    margin: 3px;
  margin: 0.1em 0.9em 0.1em 0.9em;
}
}
 
input.searchButton {
div.section div.section div.section {
  background-color: rgb(234, 220, 193);
    border-width: 1px;
  margin-top: 0.5em;
}
}


 
/* THE BOTTOM */
div#sidebar {
#footer {
    background: #838492;
  height:100%;
  background-color: rgb(66, 49, 33);
  border-top: 2px solid #000;
  border-bottom: 1px solid #000;
  font-size: 100%;
  color: rgb(240, 230, 210);
  margin: 1em 0 0 0;
  box-shadow:  0px 5px 3px -1px rgba(66, 49, 33,0.6), 0px 1000px 0 1000px rgba(156, 108, 58,1);  
}
}
div#sidebar-mobilejs {
#footer a {
     background: #838492;
     color: #FFF;
}
/* Left portlets (side menu and wiki logo sections)*/
.portlet {
    margin-bottom: 0;
    margin-top: 0;
}
}
/* MAIN BODY */
div#content {
  font-size:1em;
  top: 0;
  border: 0;
  padding-left: 1.3em;
  color: rgb(66, 49, 33);
  background-color: rgb(234, 220, 193);
  border:1px solid rgb(66, 49, 33);
  border-right:none;
  box-shadow:  1px 5px 3px -1px rgba(66, 49, 33,0.3);


.portlet h5, .portlet h6 {
    display: none;
}
}
.portlet h3 {
} /******************END OF FULL WIDTH SECTION - don't delete the '}' !**********************/
     text-transform: capitalize;
/* COMMON STUFF */
    font-weight: lighter;
.toc, .mw-warning, .toccolours, .catlinks {
    color: #E1E1E1;
     background-color: rgb(253, 250, 243);
}
}
#p-logo {
h3, h4, h5, h6 {
     background: none;
     font-weight: 500;
}
}
/*Navigation, Search and Tools section */
/* USER GENERATED CONTENT */
.pBody {
table.infobox th {
    border: none;
  background-color:rgb(207, 171, 121);
    background: #838492;
}
}
 
table.wikitable > tr > th, table.wikitable > * > tr > th {
.pBody ul {
     background: none repeat scroll 0 0 rgb(207, 171, 121);
     list-style-type: none;
     text-align: center;
     list-style-image: none;
    padding: 0;
    margin: 0;
}
}
 
table.wikitable, table.infobox {
.pBody li {
  background:rgb(247, 236, 214);
text-indent: 1em;
    padding: 0.1em 0;
}
}
 
/*TWC brown coloured versions of the front page boxes*/
.pBody a:link, .pBody a:visited, .pBody a:hover {
.TWCportal_1, .TWCportal_2, .TWCportal_3 {    border: none;
     color: white;
    padding: .4em .9em .1em;
     font-weight: bold;
     color: black;
     vertical-align: top;
}
}
 
.TWCportal_1 {
 
     background: rgb(209,175,127);
/* Content actions */
     background: linear-gradient(180deg, rgba(207,171,121,0.5) 0%, rgba(207,171,121,0.25) 25%, rgba(207,171,121,0) 100%);
 
#p-cactions ul {
     /* Same as normal ul */
     margin: 0.3em 0 0 1.5em;
}
}
 
.TWCportal_2 {
#p-cactions li.selected {
     background: rgb(209,175,127);
     /* 2px instead of 1 to match border around #content */
     background: linear-gradient(180deg, rgba(141,117,83,0.5) 0%, rgba(141,117,83,0.25) 25%, rgba(141,117,83,0) 100%);
     border-width: 2px;
}
}
 
.TWCportal_3 {
#p-cactions li.selected a {
     background: rgb(209,175,127);
     background-color: #E9DED4;
    background: linear-gradient(180deg, rgba(157,115,66,0.5) 0%, rgba(157,115,66,0.25) 25%, rgba(157,115,66,0) 100%);
}
}
 
.TWCportal_1 h1 {
#p-cactions li a {
     margin: 0;
     /* Slightly darker */
    background-color: #E3D8C8;
}
}
 
.TWCportal_2 h1 {
 
     margin: 0;
/* Override candy-colored front page */
 
.frontpage-wikinews {
     background-color: #d7c7c7;
}
}
 
.TWCportal_3 h1 {
.frontpage-generalmodding {
     margin: 0;
     background-color: #e5e0df;
}
}
.frontpage-m2tw {
    background-color: #cdc7c7;
}
/* Special:Preferences */
#preferences, #preferences table, #preftoc li.selected {
    background-color: #E3D8CD;
}
#preftoc li {
    background-color: #DACFC5;
    color: inherit;
}
code, tt { background: none }

Latest revision as of 01:13, 14 April 2025

/* CSS placed here will affect users of the MonoBook skin */
/* Terminally confused with colors so listed here -
Dark brown for borders - rgb(66, 49, 33)
Rusty color rgb(156, 108, 58) or BG2.png from forum
Dark brown/greyer buttons/bars -rgb(141, 117, 83)
Yucky orangy color - rgb(207, 171, 121)
Creamy body bg - rgb(234, 220, 193)
Dark Text - rgb(66, 49, 33) */
/****************************************/
/* mobile width version*/
@media screen and (max-width:550px) {

body, div#globalWrapper, div#content, .mobile-menu-active, .mobile-menu-active h3 {
  background-image: none;
  background-color: rgb(234, 220, 193);
  color: rgb(66, 49, 33);
}
.mobile-menu-active, .menu-toggle, #p-cactions-mobile li, #searchBody {
    border: solid 1px rgb(66, 49, 33);
}
.mw-body {
   border-top: solid 1px rgb(66, 49, 33);
}
.mobile-menu-active ul {
    list-style-image: none;
    list-style-type: square;
}
table.info-right {
  width: auto;
  float: none;
}
} /**********END OF MOBILE SECTION - don't delete the '}' ! **************/
/***** MAIN BODY LINKS - common to both sizes (has to be above sidebar links *******/
a, .mw-parser-output a.external {
    color: #04B; 
}
a:hover, a:visited, a.external:visited, a.external:hover, .mw-parser-output a.external:visited, .mw-parser-output a.external:hover {
    color: #449;
}
/***** Links in the boxes with fixed colour backgrounds, this was over-ruling common.css  *******/
.mild-notice a, .info-notice a, .mild-notice a.external, .info-notice a.external {
    color: #192F9D;
}
.mild-notice a:visited, .info-notice a:visited, .mild-notice a.externa:visited, .info-notice a.external:visited {
    color: #7B2480;
}
.mild-notice a:hover, .info-notice a:hover, .mild-notice a.external:hover, .info-notice a.external:hover {
    color: #5B5DBD;
}
.strong-notice a, .strong-notice a.external {
    color: #C6DAFE;
}
.strong-notice a:visited, .strong-notice a.external:visited, {
    color: #C6C7FE;
}
.strong-notice a:hover, .strong-notice a.external:hover {
    color: #B3B3F5;
}
/*********Things for full width version only - to save having to negate everything for mobile version!*********/
@media screen and (min-width:551px) {

body, div#globalWrapper { 
background-image: url("https://www.twcenter.net/forums/images/y2skin/Background2.png"), url("https://www.twcenter.net/forums/images/y2skin/Background7.png");
  background-position:0 0, 0 0;
  background-repeat: repeat-x, repeat;
  background-size: auto 14em, auto;
  background-clip: padding-box, padding-box;
}
 body:not(.skin--responsive) .mw-body, body.skin--responsive .mw-body {
  margin: 4em 0 0 12.2em; /* sets the main content box position - match width with p-logo */
  z-index:3
}
body, div#globalWrapper {
  background-color: rgb(156, 108, 58);
}
body:not(.skin--responsive) #p-personal, body.skin--responsive #p-personal {
  background-color: rgb(66, 49, 33);
  padding: 0.25em 0 0.4em 0;
  box-shadow:  inset 0 -6px 4px -4px rgba(0,0,0,0.8);
  z-index:0; 
}
body:not(.skin--responsive) #p-personal li a, body.skin--responsive #p-personal li a  {
  color: rgb(234, 220, 193) ;
  padding: 0.25em 0.4em 0.4em 0.4em;
  font-size: 1em;
  font-weight: normal;
}
body:not(.skin--responsive) #p-personal a.new, body:not(.skin--responsive) #p-personal a.new:visited, body.skin--responsive #p-personal a.new, body.skin--responsive #p-personal a.new:visited{
  color: rgb(207, 171, 121);
}
body:not(.skin--responsive) #p-personal a.new:hover, body.skin--responsive #p-personal a.new:hover {
  color:red;
}
body:not(.skin--responsive) #p-personal li a:hover, body.skin--responsive #p-personal li a:hover {
  background-color:rgb(234, 220, 193);
  color:rgb(66, 49, 33);
}
body:not(.skin--responsive) #p-logo, body.skin--responsive #p-logo {
  top:0.5em;
  width: 12.2em;
  padding:0;
  z-index:2;
  background-image: url("https://www.twcenter.net/forums/images/buttons/newbtn_middle.png"), url("https://wiki.twcenter.net/images/8/8e/Dark-brown-buttons.png");
  background-repeat: repeat-x, repeat-x;
  background-size: auto 3.2em, auto 3.2em;
  background-position: bottom, bottom;
  border-bottom: 1px solid rgb(66, 49, 33);
}
body:not(.skin--responsive) #p-logo a:hover, body:not(.skin--responsive) #p-logo a, body.skin--responsive #p-logo a:hover, body.skin--responsive #p-logo a {
    background-position: 70% 50% !important;
}
/*HORIZONTAL BUTTONS*/
body.skin--responsive #p-cactions,  body:not(.skin--responsive) #p-cactions {
  position: absolute;
  padding:0;
  margin-top: 0.5em;
  left: 12.2em;
  width: auto;
  height: auto;
  line-height: 1em;
  font-size:1em; /* needed to make this line up with the content body */
}
body.skin--responsive #p-cactions ul,  body:not(.skin--responsive) #p-cactions ul {
  font-size:95%;
  line-height: 1em;
  margin: 0;
  padding: 0.7em 0 1em 0;
  position: relative;
  width: auto;
  border-left: 1px solid rgb(66, 49, 33); /*to match edge of page*/
  border-right: 1px solid rgb(66, 49, 33);
}
body.skin--responsive #p-cactions li a, body.skin--responsive #p-cactions li.istalk a,  body:not(.skin--responsive) #p-cactions li a,  body:not(.skin--responsive) #p-cactions li.istalk a  {
  padding: 0.7em 1.3em 1em 1.3em;
  color: black;
  font-weight: normal;
  text-transform: capitalize;
  margin: 0 0 0 0;
  border-top: 1px solid rgb(141, 117, 83);
  border-left: 1px solid rgb(141, 117, 83);
  border-right: 1px solid rgb(141, 117, 83);
  background: rgb(141, 117, 83) url("https://www.twcenter.net/forums/images/buttons/newbtn_middle.png")   repeat-x;
  z-index: 1;
}
body.skin--responsive #p-cactions li.selected, body.skin--responsive #p-cactions li,  body:not(.skin--responsive) #p-cactions li.selected,  body:not(.skin--responsive) #p-cactions li  {
  border: 0;
  margin: 0;
  background-color: transparent;
}
body.skin--responsive #p-cactions li.selected a,  body:not(.skin--responsive) #p-cactions li.selected a {
  background-color: rgb(234, 220, 193);
  margin: 0;
  border: 0;
  border-top: 1px solid rgb(141, 117, 83);
  border-left: 1px solid rgb(234, 220, 193);
  border-right: 1px solid rgb(234, 220, 193);
  font-weight: bold;
  box-shadow: none;
  padding-bottom: 2em;
  z-index: 3;
}
body.skin--responsive #p-cactions li.selected a:hover, body.skin--responsive #p-cactions li a:hover,  body:not(.skin--responsive) #p-cactions li.selected a:hover,  body:not(.skin--responsive) #p-cactions li a:hover {
  background-color: rgb(234, 220, 193);
  border-top: 1px solid rgb(141, 117, 83);
  border-left: 1px solid rgb(234, 220, 193);
  border-right: 1px solid rgb(234, 220, 193);
  box-shadow:  inset 0 10px 6px -4px rgba(141, 117, 83,0.2); 
  padding-bottom: 2em;
}
body.skin--responsive #p-cactions li.new a:hover, body.skin--responsive #p-cactions li.selected.new a,  body:not(.skin--responsive) #p-cactions li.new a:hover,  body:not(.skin--responsive) #p-cactions li.selected.new a  {
  color: red;
}
body.skin--responsive #p-cactions li.new a,  body:not(.skin--responsive) #p-cactions li.new a {
  color: black;
}
/* SIDEBAR NAVIGATION*/
div#sidebar {
  width: 13.5em;
  margin-top: -3.2em;
  padding-top: 3.7em;
  padding-bottom: 1em;
  background-color: rgb(207, 171, 121);
  border: 1px solid rgb(66, 49, 33); /*top gives the fake border above the fake bar under logo */
  border-left: none;
  box-shadow: inset   0 6px 0 0 rgba(141, 117, 83,1), 
  1px 5px 3px -1px rgba(66, 49, 33,0.3); 
  z-index: 1;
  position: relative;
}
body.skin--responsive .mw-portlet, body.skin--responsive .portlet, body:not(.skin--responsive) .mw-portlet, body:not(.skin--responsive) .portlet {
    width: 12.2em;
}
.portlet a, .portlet.generated-sidebar a, .portlet.generated-sidebar a:visited, .portlet a:visited, .portlet.generated-sidebar a:hover, .portlet a:hover {
  color: rgb(66, 49, 33);
  font-size: 0.95em;
  font-weight: bold;
  padding-top: 0em;

}
.portlet ul, .portlet.generated-sidebar ul {
  list-style-image: none;
  list-style-type: none;
}
.mobile-menu-active, .pBody {
  background-color: rgb(234, 220, 193);
  border: 0;
}
div#p-NAVIGATION div, div#p-Important_Pages div, div#p-My_Sidebar div, div#p-search div, div#p-tb div, div#p-Visit_TWC div, #p-Wiki_Editing div{
  background: rgb(234, 220, 193);
  border: none;
}
.portlet {
  width: 12.2em;
}
.portlet h3, .portlet.generated-sidebar h3 {
  display: inline-block;
  color: rgb(66, 49, 33);
  font-weight: bold;
  text-transform: uppercase;
  margin: 0.1em 0.9em 0.1em 0.9em;
}
input.searchButton {
  background-color: rgb(234, 220, 193);
  margin-top: 0.5em;
}

/* THE BOTTOM */
#footer {
  height:100%;
  background-color: rgb(66, 49, 33);
  border-top: 2px solid #000;
  border-bottom: 1px solid #000;
  font-size: 100%;
  color: rgb(240, 230, 210);
  margin: 1em 0 0 0;
  box-shadow:  0px 5px 3px -1px rgba(66, 49, 33,0.6), 0px 1000px 0 1000px rgba(156, 108, 58,1);   
}
#footer a {
    color: #FFF;
}
/* MAIN BODY */
div#content {
  font-size:1em;
  top: 0;
  border: 0;
  padding-left: 1.3em;
  color: rgb(66, 49, 33);
  background-color: rgb(234, 220, 193);
  border:1px solid rgb(66, 49, 33); 
  border-right:none; 
  box-shadow:  1px 5px 3px -1px rgba(66, 49, 33,0.3);

}
} /******************END OF FULL WIDTH SECTION - don't delete the '}' !**********************/
/* COMMON STUFF */
.toc, .mw-warning, .toccolours, .catlinks {
    background-color: rgb(253, 250, 243);
}
h3, h4, h5, h6 {
    font-weight: 500;
}
/* USER GENERATED CONTENT */
table.infobox th {
  background-color:rgb(207, 171, 121);
}
table.wikitable > tr > th, table.wikitable > * > tr > th {
    background: none repeat scroll 0 0 rgb(207, 171, 121);
    text-align: center;
}
table.wikitable, table.infobox {
  background:rgb(247, 236, 214);
}
/*TWC brown coloured versions of the front page boxes*/
.TWCportal_1, .TWCportal_2, .TWCportal_3 {    border: none;
    padding: .4em .9em .1em;
    color: black;
    vertical-align: top;
}
.TWCportal_1 {
    background: rgb(209,175,127);
    background: linear-gradient(180deg, rgba(207,171,121,0.5) 0%, rgba(207,171,121,0.25) 25%, rgba(207,171,121,0) 100%);
}
.TWCportal_2 {
    background: rgb(209,175,127);
    background: linear-gradient(180deg, rgba(141,117,83,0.5) 0%, rgba(141,117,83,0.25) 25%, rgba(141,117,83,0) 100%);
}
.TWCportal_3 {
    background: rgb(209,175,127);
    background: linear-gradient(180deg, rgba(157,115,66,0.5) 0%, rgba(157,115,66,0.25) 25%, rgba(157,115,66,0) 100%);
}
.TWCportal_1 h1 {
    margin: 0;
}
.TWCportal_2 h1 {
    margin: 0;
}
.TWCportal_3 h1 {
    margin: 0;
}
Cookies help us deliver our services. By using our services, you agree to our use of cookies.